RE: i386 architecture will be dropped starting with eoan

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

RE: i386 architecture will be dropped starting with eoan

Jonas Timothy
Hi,

I'm just wondering that, instead of totally dropping i386, why not just
drop the ones that are unnecessary from the repos, like VLC, Vim, Nano,
Plasma, etc.  Since Ubuntu doesn't even have an i386 based distros
officially, those aren't needed to be there anymore.  That way, you only
had to trim it down to the ones that are necessary for us who need the
legacy stuff without the workarounds, like Wine?

Best of both worlds, right?

Jonas

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: i386 architecture will be dropped starting with eoan

Dale Trombley
I was under the impression it was just the build architecture and not the packages. If the packages remain the same steam will be fine right? Someone can give some clarity here?

On Sun, Jun 23, 2019, 8:20 AM Jonas Timothy <[hidden email]> wrote:
Hi,

I'm just wondering that, instead of totally dropping i386, why not just
drop the ones that are unnecessary from the repos, like VLC, Vim, Nano,
Plasma, etc.  Since Ubuntu doesn't even have an i386 based distros
officially, those aren't needed to be there anymore.  That way, you only
had to trim it down to the ones that are necessary for us who need the
legacy stuff without the workarounds, like Wine?

Best of both worlds, right?

Jonas

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: i386 architecture will be dropped starting with eoan

Dale Trombley
A leading Ubuntu developer has said it is “simply not the case” that Ubuntu will drop support for running 32-bit applications in Ubuntu 19.10 and subsequent editions.

Now, in a forum reply on the Ubuntu Discourse, Langasek appears to row back on the notion that 32-bit libraries will be removed wholesale in the ‘Eoan Ermine’, writing:

“I’m sorry that we’ve given anyone the impression that we are ‘dropping support for i386 applications. It is simply not the case. What we are dropping is updates to the i386 libraries, which will be frozen at the 18.04 LTS versions.”

https://www.omgubuntu.co.uk/2019/06/is-ubuntu-not-dropping-32-bit-app-support-after-all?fbclid=IwAR2IQGLiqjYHtc_JY00I-mR5948OCVgO22OWqHkZUxuQRGpDACFSJ2y1w1U


On Sun, Jun 23, 2019 at 8:44 AM Dale Trombley <[hidden email]> wrote:
I was under the impression it was just the build architecture and not the packages. If the packages remain the same steam will be fine right? Someone can give some clarity here?

On Sun, Jun 23, 2019, 8:20 AM Jonas Timothy <[hidden email]> wrote:
Hi,

I'm just wondering that, instead of totally dropping i386, why not just
drop the ones that are unnecessary from the repos, like VLC, Vim, Nano,
Plasma, etc.  Since Ubuntu doesn't even have an i386 based distros
officially, those aren't needed to be there anymore.  That way, you only
had to trim it down to the ones that are necessary for us who need the
legacy stuff without the workarounds, like Wine?

Best of both worlds, right?

Jonas

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel


--

Truck driver, Linux Tech, Webmaster, and Web Admin.
Volunteer Kubuntu Linux Development Tester

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: i386 architecture will be dropped starting with eoan

Jonas Timothy

But there'll be a version mismatch if there's an update to those libraries, right?

On 2019-06-23 3:31 p.m., Dale Trombley wrote:
A leading Ubuntu developer has said it is “simply not the case” that Ubuntu will drop support for running 32-bit applications in Ubuntu 19.10 and subsequent editions.

Now, in a forum reply on the Ubuntu Discourse, Langasek appears to row back on the notion that 32-bit libraries will be removed wholesale in the ‘Eoan Ermine’, writing:

“I’m sorry that we’ve given anyone the impression that we are ‘dropping support for i386 applications. It is simply not the case. What we are dropping is updates to the i386 libraries, which will be frozen at the 18.04 LTS versions.”

https://www.omgubuntu.co.uk/2019/06/is-ubuntu-not-dropping-32-bit-app-support-after-all?fbclid=IwAR2IQGLiqjYHtc_JY00I-mR5948OCVgO22OWqHkZUxuQRGpDACFSJ2y1w1U


On Sun, Jun 23, 2019 at 8:44 AM Dale Trombley <[hidden email]> wrote:
I was under the impression it was just the build architecture and not the packages. If the packages remain the same steam will be fine right? Someone can give some clarity here?

On Sun, Jun 23, 2019, 8:20 AM Jonas Timothy <[hidden email]> wrote:
Hi,

I'm just wondering that, instead of totally dropping i386, why not just
drop the ones that are unnecessary from the repos, like VLC, Vim, Nano,
Plasma, etc.  Since Ubuntu doesn't even have an i386 based distros
officially, those aren't needed to be there anymore.  That way, you only
had to trim it down to the ones that are necessary for us who need the
legacy stuff without the workarounds, like Wine?

Best of both worlds, right?

Jonas

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel


--

Truck driver, Linux Tech, Webmaster, and Web Admin.
Volunteer Kubuntu Linux Development Tester

--
Sent from Thunderbird on Kubuntu

--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: i386 architecture will be dropped starting with eoan

Clay Weber-2


On June 23, 2019 at 9:40 PM Jonas Timothy <[hidden email]> wrote:

But there'll be a version mismatch if there's an update to those libraries, right?


Not if it is provided as a snap, or run in a chroot environment, a container, or some other method not involving system level packaging.

 


Clay Weber


--
kubuntu-devel mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/kubuntu-devel